import { IPhrases, SupportedLocales, Translator } from '@cloudflare/intl-core';
import * as React from 'react';
interface I18nProviderProps {
    children: React.ReactNode;
    phrases?: IPhrases;
    locale?: SupportedLocales;
    translator?: Translator;
}
declare const I18nProvider: ({ translator, ...restProps }: I18nProviderProps) => JSX.Element;
export default I18nProvider;
